Subject: Re: bug#35536: 27.0.50; Expose buffer's marker list to Elisp

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 May 2019 23:05:11 +0300

> From: Stefan Monnier <[email-masked]>
> Date: Thu, 02 May 2019 15:59:38 -0400
> Cc: [email-masked], Mauro Aranda <[email-masked]>
> 
> AFAIK the main reason for such a function is so that you can implement
> "replace" functions which preserves markers better than "insert+delete"
> does, right?

If this is the use case, perhaps we could provide a function to save
markers and then restore them, similar to current-window-configuration
and set-window-configuration, but with opaque handles returned to the
caller.